## gawk 4.0.0+dfsg

=== debian/changelog ===
gawk (1:4.0.0+dfsg-1) experimental; urgency=low

  * Upload to experimental.
  * New upstream release.  Closes: #638428.
    - Interval expressions are now default for GNU Awk.  Closes: #376851.
  * debian/copyright: Update year and version.
  * debian/rules: Drop unneeded --enable-switch, this is now the default.
  * debian/control
    - Add myself to Uploaders.
    - Bump Standards-Version to 3.9.2. 
  * debian/source/format: Add, source format '3.0 (quilt)'.
  * debian/{prerm,postinst}: Add 'set -e' and debhelper token.
  * 18_de.po-typos.diff: Refresh.
  * 19_gawk.1-hyphen.diff: Add, fix hyphens used as minus sign. 

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Thu, 25 Aug 2011 15:07:15 +0200

gawk (1:3.1.8+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.  Closes: #627065.
    - Correct precision for %s in non-C locales.  Closes: #581793, #613156.
  * Use system-wide libsigsegv.
  * Change version suffix from .dfsg to +dfsg.
  * 18_de.po-typos.diff: Refresh.
  * 19_fr.po-typos.diff: Remove, applied upstream.

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Wed, 06 Jul 2011 14:03:04 +0200

gawk (1:3.1.7.dfsg-5) unstable; urgency=low

  * Fix manpage links.

 -- Arthur Loiret <aloiret@debian.org>  Sat, 20 Mar 2010 11:27:57 +0000

gawk (1:3.1.7.dfsg-4) unstable; urgency=low

  * Fix testsuite display.

 -- Arthur Loiret <aloiret@debian.org>  Fri, 19 Mar 2010 21:53:20 +0000

gawk (1:3.1.7.dfsg-3) unstable; urgency=low

  * Ignore machine and locale dependant testsuite failures.  Closes: #571782.

 -- Arthur Loiret <aloiret@debian.org>  Sun, 28 Feb 2010 12:06:11 +0000

gawk (1:3.1.7.dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules: Fix patch stamp.
  * debian/control:
    - Depends on ${misc:Depends}.
    - Bump Standards-Version to 3.8.4.

 -- Arthur Loiret <aloiret@debian.org>  Sat, 27 Feb 2010 22:49:33 +0000

gawk (1:3.1.7.dfsg-1) experimental; urgency=low

  * New upstream release.
  * 05_arm_align.dpatch, 20_manpage.dpatch: Remove, applied upstream.
  * Convert packaging to debhelper and quilt:
    - Update debian/control and debian/rules accordingly.
    - debian/compat: New.
  * Update other patches.

 -- Arthur Loiret <aloiret@debian.org>  Fri, 06 Nov 2009 14:37:32 +0000

gawk (1:3.1.6.dfsg-4) unstable; urgency=low

  * Support Renesas SH4 (Nobuhiro Iwamatsu).  Closes: #536198.
  * debian/patches/20_eval.c-utf-8-strcat.dpatch: Remove redundant patch
    (Michael Vogt).  Closes: #534573.
  * 20_manpage.dpatch: Add, fix gawk manpage (Tommi Vainikainen).
    Closes: #298355.
  * debian/control: Bump Standards-Version to 3.8.3.

 -- Arthur Loiret <aloiret@debian.org>  Fri, 06 Nov 2009 10:53:25 +0000

gawk (1:3.1.6.dfsg-3) unstable; urgency=low

  * debian/patches/05_arm_align.dpatch: Add, fixes rand.awk test case
    alignment problem on arm/armel.  Closes: #497180.
  * debian/rules: Fail the build in case of regression in the testsuite.
  * debian/copyright: Update for GPL v3.
  * debian/watch: Add.  Closes: #497181.

 -- Arthur Loiret <aloiret@debian.org>  Thu, 28 May 2009 09:24:47 +0000

gawk (1:3.1.6.dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control: Bump Standards-Version to 3.8.1.

 -- Arthur Loiret <aloiret@debian.org>  Fri, 08 May 2009 10:27:17 +0000

gawk (1:3.1.6.dfsg-1) experimental; urgency=low

  * New maintainer.
  * New upstream release.  Closes: #451614
    - Upload to experimental until we are sure testsuite passes on all archs.
    - Return right RLENGTH in match functions.  Closes: #385869
    - Fix SIGABRT when LANG=*.UTF-8 on amd64.  Closes: #410299
    - Return correct position values for regular expressions.  Closes: #432014
    - Fix sub() behaviour with MBS_SUPPORT defined.  Closes: #369277
    - Avoid bogus error setting BINMODE on command line.  Closes: #369278
    - Handle NULL character properly.  Closes: #369279
    - Fix FIELDWIDTHS off-by-one error.  Closes: #369280
    - Fix some memory leaks on match(s,r).  Closes: #440799
  * Already fixed bugs in previous versions:
    - Fix some memory corruptions.  Closes: #408391, #425842.
    - Print correct string length after index and sub.  Closes: #471664
  * Update patches:
    - debian/patches/18_de.po-typos.dpatch: Refresh.
    - debian/patches/25_free_wstr-and-multiple-frees.dpatch: Remove, already
      applied upstream.
    - debian/patches/01_po-Makefile.in.in.dpatch: Remove, fixed upstream.
    - debian/patches/19_io.c-invalid-free.dpatch: Remove, fixed upstream.
  * debian/patches/19_fr.po-typos.dpatch: Add, fix some typos in the French
    translation.  Closes: #390577
  * debian/patches/00list: Update.
  * debian/copyright: Update.
  * debian/control:
    - Bump Standards-Version to 3.8.0.
    - Add Homepage filed.
  * debian/rules:
    - Bump version to 3.1.6.
    - Improve a bit.
    - Fix prefix in make install.
    - Don't install obsolete README.FIRST.
    - Configure with --enable-switch.  Closes: #307510

 -- Arthur Loiret <arthur.loiret@gmail.com>  Thu, 21 Aug 2008 19:18:25 +0000

gawk (1:3.1.5.dfsg-4.1) unstable; urgency=low

  * add 25_free_wstr-and-multiple-frees.dpatch: brought in some changes from
    current CVS, to resolve an issue with multiple frees (Closes: 418790).

    Thanks to Micah Cowan <micah@cowan.name> for the patch.

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 15 Mar 2008 18:07:50 +0100

gawk (1:3.1.5.dfsg-4) unstable; urgency=low

  * doc/gawk.info, doc/gawk.texi, doc/gawkinet.info, doc/gawkinet.texi:
    GFDL with invariant sections - removed and repackaged as 'gawk-doc'
    for non-free.  Closes: #357257
   * debian/rules (build): touch removed .info and .texi files in doc/ as a
     minimally intrusive (if nasty) way of pulling a fast one on the build
     system.
   * debian/rules (binary-arch): don't compress info files, instead remove
     the empty ones that now get installed.
   * debian/postinst: don't invoke install-info.
   * debian/prerm: likewise.


