## gawk 4.0.0.h+dfsg

=== debian/changelog ===
gawk (1:4.0.0.h+dfsg-1) experimental; urgency=low

  * New upstream beta release:
    - Fix the cases where terminators are incomplete when RS == "".
      Closes: #619738.
  * debian/rules:
    - Enable security hardening build flags via dpkg-buildflags.
    - Simplify using debhelper dh overrides.
    - Generate locales used in test suite.
  * debian-control:
    - Build-Depends on dpkg-dev for dpkg-buildflags and locales for test suite.
    - Suggests gawk-doc package.
  * 18_de.po-typos.diff: Remove, applied upstream.
  * 19_gawk.1-hyphen.diff: Remove, applied upstream.

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Thu, 02 Feb 2012 17:40:51 +0100
