=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gawk
 Section: interpreters
 Priority: optional
-Build-Depends: debhelper (>= 7), gettext, bison, libsigsegv-dev
+Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1.1~), locales (>= 0),
+ gettext, bison, libsigsegv-dev
 Maintainer: Arthur Loiret <aloiret@debian.org>
 Uploaders: Jeroen Schot <schot@a-eskwadraat.nl>
 Standards-Version: 3.9.2
@@ -12,6 +13,7 @@
 Provides: awk
 Pre-Depends: ${shlibs:Depends}
 Depends: ${misc:Depends}
+Suggests: gawk-doc
 Description: GNU awk, a pattern scanning and processing language
  `awk', a program that you can use to select particular records in a
  file and perform operations upon them.
@@ -23,4 +25,3 @@
  Weinberger, with the additional features defined in the System V Release
  4 version of UNIX awk. Gawk also provides more recent Bell Labs awk
  extensions, and some GNU-specific extensions.
-
