## gawk 4.0.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,21 @@
 Source: gawk
 Section: interpreters
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1.1~), locales (>= 0),
- gettext, bison, libsigsegv-dev
-Maintainer: Arthur Loiret <aloiret@debian.org>
+Build-Depends: bison,
+               debhelper (>= 9),
+               gettext,
+               libreadline-dev,
+               libsigsegv-dev,
+               locales (>= 0)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Arthur Loiret <aloiret@debian.org>
 Uploaders: Jeroen Schot <schot@a-eskwadraat.nl>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.gnu.org/software/gawk/
 
 Package: gawk
 Architecture: any
+Multi-Arch: foreign
 Provides: awk
 Pre-Depends: ${shlibs:Depends}
 Depends: ${misc:Depends}
