=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
http://ftp.gnu.org/gnu/gawk/gawk-([\d\.]+)\.tar\.gz
