## gawk 4.1.1maemo1

=== debian/changelog ===
gawk (1:4.1.1maemo1) unstable; urgency=low

  * New upstream release for maemo. 

 -- Christian Weniger <less_to_space@web.de>  Wed, 11 Sep 2019 11:36:36 +0200

gawk (1:4.1.1+dfsg-1) unstable; urgency=low

  * New upstream release. 
  * Switch repacked source to xz compression.
  * Add dependency on libmpfr-dev for the new multiple precision floating-point
    functionality.
  * Drop PO file patches - applied upstream. Rebuilding the GMO files is no
    longer needed.
  * Add patch to fix some manpage formatting issues. 
  * Add patch from upstream to correctly use DESTDIR for extensions. 

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Fri, 18 Apr 2014 11:36:36 +0200

gawk (1:4.0.1+dfsg-3) unstable; urgency=low

  * Simplify invocation of test suite and honour DEB_BUILD_OPTIONS=nocheck.
    Closes: #695162.
  * Ensure config.{sub,guess} are updated for new architectures.
    Closes: #714795.
  * Make sure that binaries don't set RPATH.
  * Update to Standards-Version 3.9.5, no changes needed. 

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Tue, 08 Apr 2014 00:44:30 +0200

gawk (1:4.0.1+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change Depends back to Pre-Depends (closes: #702524).

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 16 Mar 2013 12:31:51 +0100

gawk (1:4.0.1+dfsg-2) unstable; urgency=low

  * debian/control:
    - Build-Depends on libreadline-dev for readline support in dgawk.
    - Change Pre-Depends to Depends (OK now that base-files Pre-Depends: awk).
  * debian/patches: New PO files for Italian and Vietnamese from upstream.
  * debian/rules: Rebuild GMO files during build.

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Thu, 17 May 2012 11:23:46 +0200

gawk (1:4.0.1+dfsg-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * debian/compat: Update to debhelper compat level 9.
  * debian/control:
    - Bump Standards-Version to 3.9.3.
    - Mark as Multi-Arch: foreign.  Closes: #666094.
  * debian/copyright: Update and use machine-readable format.
  * debian/rules:
    - Restore display of failed tests.
    - Don't compress example awk code.

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Thu, 29 Mar 2012 12:30:26 +0200
