## gawk 4.1.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                locales (>= 0)
 Maintainer: Arthur Loiret <aloiret@debian.org>
 Uploaders: Jeroen Schot <schot@a-eskwadraat.nl>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/software/gawk/
 
 Package: gawk
