## gawk 4.1.3+dfsg

=== debian/changelog ===
gawk (1:4.1.3+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. Closes: #808297.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Dec 2015 13:56:00 +0100
