=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,6 @@
 LOCALIAS=/usr/share/locale/locale.alias
 
 %:
-	SBOX_REDIRECT_IGNORE=/usr/bin/automake:/usr/bin/autoconf:/usr/bin/autom4te:/usr/bin/aclocal:/usr/bin/autom4te:/usr/bin/m4
-	export SBOX_REDIRECT_IGNORE
-	#export LIBTOOLIZE=/usr/bin/libtoolize  /usr/bin/libtoolize:
-	export AUTOM4TE=/usr/bin/autom4te
-	export AUTOCONF=/usr/bin/autoconf
-	export ACLOCAL=/usr/bin/aclocal
-	export AUTOMAKE=/usr/bin/automake
 	dh $@ --with autotools-dev
 
 override_dh_auto_configure:
@@ -31,13 +24,13 @@
 	# Only run the testsuite if it's wanted.
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Generate locales used in testsuite.
-	#mkdir -p $(LOCPATH)
-	#localedef -i en_US -c -f ISO-8859-1 -A $(LOCALIAS) $(LOCPATH)/en_US.ISO-8859-1
-	#localedef -i en_US -c -f UTF-8      -A $(LOCALIAS) $(LOCPATH)/en_US.UTF-8
-	#localedef -i ja_JP -c -f UTF-8      -A $(LOCALIAS) $(LOCPATH)/ja_JP.UTF-8
-	#localedef -i ru_RU -c -f UTF-8      -A $(LOCALIAS) $(LOCPATH)/ru_RU.UTF-8
+	mkdir -p $(LOCPATH)
+	localedef -i en_US -c -f ISO-8859-1 -A $(LOCALIAS) $(LOCPATH)/en_US.ISO-8859-1
+	localedef -i en_US -c -f UTF-8      -A $(LOCALIAS) $(LOCPATH)/en_US.UTF-8
+	localedef -i ja_JP -c -f UTF-8      -A $(LOCALIAS) $(LOCPATH)/ja_JP.UTF-8
+	localedef -i ru_RU -c -f UTF-8      -A $(LOCALIAS) $(LOCPATH)/ru_RU.UTF-8
 	# Run actual test suite.
-	#LOCPATH=$(LOCPATH) make check
+	LOCPATH=$(LOCPATH) make check
 endif
 
 override_dh_auto_install:
