## gawk 4.1.4+dfsg

=== debian/changelog ===
gawk (1:4.1.4+dfsg-1build1) bionic; urgency=medium

  * No-change rebuild against libmpfr6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 11 Feb 2018 05:02:41 +0000

gawk (1:4.1.4+dfsg-1) unstable; urgency=medium

  * New maintainer.
  * New upstream release.
  * Add upstream public key for uscan.
  * Standards-Version: 3.9.8 (no changes)

 -- Adrian Bunk <bunk@debian.org>  Wed, 25 Jan 2017 16:06:30 +0000
