=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: gawk
 Section: interpreters
 Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Adrian Bunk <bunk@debian.org>
 Build-Depends: autotools-dev,
                bison,
                debhelper (>= 9),
@@ -9,9 +11,7 @@
                libreadline-dev,
                libsigsegv-dev,
                locales (>= 0)
-Maintainer: Arthur Loiret <aloiret@debian.org>
-Uploaders: Jeroen Schot <schot@a-eskwadraat.nl>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.gnu.org/software/gawk/
 
 Package: gawk
