## gawk 4.2.1+dfsg

=== debian/changelog ===
gawk (1:4.2.1+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #907552)
  * Build-depend on locales-all instead of generating own locales.

 --  Adrian Bunk <bunk@debian.org>  Fri, 14 Sep 2018 18:25:25 +0300
