=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gawk
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Adrian Bunk <bunk@debian.org>
+Maintainer: Adrian Bunk <bunk@debian.org>
 Build-Depends: autotools-dev,
                bison,
                debhelper (>= 9),
@@ -10,7 +9,7 @@
                libmpfr-dev,
                libreadline-dev,
                libsigsegv-dev,
-               locales (>= 0)
+               locales-all
 Standards-Version: 3.9.8
 Homepage: http://www.gnu.org/software/gawk/
