## gawk 5.0.1+dfsg

=== debian/changelog ===
gawk (1:5.0.1+dfsg-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: integer overflow
    - debian/patches/CVE-2023-4156.patch: prevent integer overflow
      by adding check for negative size value in builtin.c.
    - CVE-2023-4156

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Thu, 17 Aug 2023 15:21:23 +0200

gawk (1:5.0.1+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #940474)
    - Some parser crashes were fixed. (Closes: #816277)
    - Includes manpage fixes. (Closes: #911759, #940321)
    - Incorrect init_debug() prototype was fixed. (Closes: #748408)
    - An incorrect Spanish translation is no longer used.
      (Closes: #725464)

 -- Adrian Bunk <bunk@debian.org>  Sun, 03 Nov 2019 21:22:40 +0200
