## gawk 5.1.0

=== debian/changelog ===
gawk (1:5.1.0-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: integer overflow
    - debian/patches/CVE-2023-4156.patch: prevent integer overflow
      by adding check for negative size value in builtin.c.
    - CVE-2023-4156

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Thu, 17 Aug 2023 12:24:36 +0200

gawk (1:5.1.0-1build3) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:53:25 +0100

gawk (1:5.1.0-1build2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:11:47 +0200

gawk (1:5.1.0-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:14:16 +0000

gawk (1:5.1.0-1) unstable; urgency=high

  * New upstream release. (Closes: #963780)

 -- Adrian Bunk <bunk@debian.org>  Wed, 10 Feb 2021 10:42:58 +0200
