## gawk 5.2.1

=== debian/changelog ===
gawk (1:5.2.1-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:33:52 +0000

gawk (1:5.2.1-2build2) noble; urgency=medium

  * Build again with libreadline.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 14:05:28 +0100

gawk (1:5.2.1-2build1) noble; urgency=medium

  * Build without libreadline.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 13:15:18 +0100

gawk (1:5.2.1-2) unstable; urgency=medium

  * Handle a new info file in gawk-doc. (Closes: #1031203)

 -- Adrian Bunk <bunk@debian.org>  Sun, 19 Feb 2023 15:30:53 +0200

gawk (1:5.2.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1023541)
    - Fixes double free with bignum. (Closes: #1026436)

 -- Adrian Bunk <bunk@debian.org>  Sun, 12 Feb 2023 23:15:49 +0200
